#include <stdio.h>
#include <time.h>
#include <sys/time.h>
#ifdef _OPENMP
#  include <omp.h>
#endif

#define f(A) (4.0/(1.0+A*A))

const int n = 10000000;

int main(int argc, char** argv)
{

/* Begin of SPACE for FIRST EXERCISE */
# ifdef _OPENMP
    int i_th;
#pragma omp parallel private(i_th)
    {
    printf("Hello World from thread = %d of threads %d\n", 
	   i_th, omp_get_num_threads());
    }
    #else
    printf("This program is not compiled with OpenMP\n");
# endif
/* End of SPACE for FIRST EXERCISE */

  return 0;
}
