
// OpenMP program to print Hello World 
// using C language 
  
// OpenMP header 

// example 1
// gcc -fopenmp hellocworld.c


// example 2
//export OMP_NUM_THREADS=4 -> export number of threads
#include <omp.h>  // prototypes for various openmp functions
  
#include <stdio.h> 
#include <stdlib.h> 
  
int main(int argc, char* argv[]) 
{ 
  
    // Beginning of parallel region 
    #pragma omp parallel //compiler directive, parentheses,
    { 
  	// this block is executed in parallel
        printf("Hello World from thread = %d\n", 
               omp_get_thread_num()); 
    } 
    // Ending of parallel region 
return 0;
} 

